Fetch license by external license id
curl --request GET \
--url https://api.withorb.com/v1/licenses/external_license_id/{external_license_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withorb.com/v1/licenses/external_license_id/{external_license_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withorb.com/v1/licenses/external_license_id/{external_license_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"subscription_id": "<string>",
"license_type_id": "<string>",
"external_license_id": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z"
}{
"type": "https://docs.withorb.com/reference/error-responses#400-constraint-violation",
"status": 400,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#401-authentication-error",
"status": 401,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#404-feature-not-available",
"status": 400,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#409-resource-conflict",
"status": 409,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#413-request-too-large",
"status": 413,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#429-too-many-requests",
"status": 429,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#500-internal-server-error",
"status": 123,
"detail": "<string>",
"title": "<string>"
}License
Fetch license by external license id
This endpoint is used to fetch a license given an external license identifier.
GET
/
licenses
/
external_license_id
/
{external_license_id}
Fetch license by external license id
Authorizations
API Keys can be issued in the Orb's web application.
Path Parameters
Query Parameters
The ID of the subscription to fetch the license for.
The ID of the license type to fetch the license for.
Was this page helpful?
⌘I